Bug 426953 - fc9 tagged kernels stop at /dev/rtc exists, creating /dev/rtc0, fc8 tagged OK
fc9 tagged kernels stop at /dev/rtc exists, creating /dev/rtc0, fc8 tagged OK
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-28 16:15 EST by Jim Cornette
Modified: 2008-02-14 06:12 EST (History)
0 users

See Also:
Fixed In Version: kernel-2.6.25-0.35.rc1.fc9.i686
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-14 06:12:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Current messages from /var/log/messages (1.68 MB, text/plain)
2007-12-28 16:15 EST, Jim Cornette
no flags Details
ps -axf output for fc8 tagged kernels which do not stall (4.71 KB, text/plain)
2008-01-07 22:11 EST, Jim Cornette
no flags Details
This version is for the fc9 tagged kernel (4.44 KB, text/plain)
2008-01-07 22:12 EST, Jim Cornette
no flags Details

  None (edit)
Description Jim Cornette 2007-12-28 16:15:54 EST
Description of problem:
The kernel pauses at /dev/rtc exists, will not overwrite, creating /dev/rtc0
After hitting ctl-c booting will continue. It will halt again once init starts
network and it replies OK.
If network services are turned off at boot, the booting is successful. I can
also become connected to the network with the NetworkManager enabled with the
network service turned off.
These problems do not show with kernels before fc9 tagged kernels. I can boot
successfully with the network service on and do not see the /dev/rtc exists pause.
Also, if started at runlevel 1 the system will lockup if telinit to either
runlevel 3 or 5. Just starting the network service in runlevel 1 causes this lockup.

Version-Release number of selected component (if applicable):
kernel-2.6.23.8-63.fc8
kernel-2.6.24-0.123.rc6.fc9

How reproducible:


Steps to Reproduce:
1. start computer with ant kernel tagged with fc9, no special boot options
2. hit ctl-c when /dev/rtc error occurs
3. wait for long time after network replies started OK.
  
Actual results:
/dev/rtc error always created so /dev/rtc0 created followed by a system pause.
no response of system after network service started.

Expected results:

Expected system to boot as fc8 and before kernels do now.

Additional info:

Another bug has been filed against initscripts for the network service portion
of above problem listing.
Comment 1 Jim Cornette 2007-12-28 16:15:54 EST
Created attachment 290507 [details]
Current messages from /var/log/messages
Comment 2 Jim Cornette 2007-12-28 16:20:39 EST
bug 426714 was created for the network problem.

In short service network start always locks up system for fc9 tagged kernels.
fc8 tagged and before kernels will boot without the lockup or /dev/rtc problem.
Comment 3 Jim Cornette 2008-01-03 19:16:55 EST
Problem still exists
kernel-2.6.23.9-85.fc8 - network starts OK
kernel-2.6.24-0.133.rc6.git8.fc9 - locks up after network is started and replies OK
Comment 4 Jim Cornette 2008-01-03 19:39:43 EST
/dev/rtc and /dev/rtc0 stall still present. This happens even in runlevel 1
Comment 5 Jim Cornette 2008-01-07 22:11:02 EST
Created attachment 291033 [details]
ps -axf output for fc8 tagged kernels which do not stall

This is the output of ps for the fc8 tagged kernels. The system is started in
runlevel 3 with network services not started. Then the network service is
started and ps -axf is obtained from another terminal.

FC9 version coming in another attachment. The process is the same.
Comment 6 Jim Cornette 2008-01-07 22:12:50 EST
Created attachment 291034 [details]
This version is for the fc9 tagged kernel 

The network stalls after OK is prompted. system does not progress if service is
started at boot.
Comment 7 Jim Cornette 2008-01-20 22:05:46 EST
I'm still getting the hang on the /dev/rtc creating /dev/rtc portion of the
booting with kernel-2.6.24-0.157.rc8.fc9 or any 2.6.24 version.
kernel-2.6.23.14-107.fc8 does not show this problem or the network stall during
initialization.
Comment 8 Jim Cornette 2008-02-14 06:12:51 EST
With kernel-2.6.25-0.35.rc1.fc9.i686 I no longer have the problem with /dev/rtc
already existing. Closing bug.

Note You need to log in before you can comment on or make changes to this bug.